View Issue Details

IDProjectCategoryView StatusLast Update
0036896LazarusIDEpublic2020-04-21 01:32
ReporterAwkward Assigned To 
PrioritynormalSeverityminorReproducibilityalways
Status newResolutionopen 
Platformi386OSWindows 
Product Version2.1 (SVN) 
Summary0036896: Trunk IDE - Code Explorer filter does not work
Descriptionwhen i want to find my p\class merthod, i see variables and methods in code browser. But when i type something in "filter" edit field, nothing happends, rather when i type or press enter after, no matter, filtered text presented or not
TagsNo tags attached.
Fixed in Revision
LazTarget-
Widgetset
Attached Files

Relationships

related to 0035767 closedJuha Manninen Code Explorer: Filter for directives does not work. 
related to 0036787 resolvedJuha Manninen The filter of the code explorer should expand the results up to the terminal nodes 

Activities

Bart Broersma

2020-04-10 15:24

developer   ~0122062

Fixed typo in summary.

Juha Manninen

2020-04-11 12:14

developer   ~0122069

Last edited: 2020-04-11 12:15

View 2 revisions

Which filter? There are 3 of them, for packages, units and identifiers.
Also the "Search scope" should be "Project" if you want inspect your current project.
For me the filters work although the logic is not always intuitive. I tested on Linux with GTK2 and QT5 bindings.
Please explain the problem in a more specific way. How to reproduce it?

BTW, the "Code explorer" is more useful than "Code browser" during normal code development, in my opinion.

Awkward

2020-04-11 14:42

reporter   ~0122070

i mean that (right upper corner)
scr.png (184,381 bytes)   
scr.png (184,381 bytes)   

Juha Manninen

2020-04-11 14:53

developer   ~0122071

There is no "Code browser" in your screenshot.
Do you mean Object Inspector?

FTurtle

2020-04-11 18:39

reporter   ~0122081

Last edited: 2020-04-11 18:49

View 3 revisions

@ Juha Manninen:
Really he meant Code Explorer

@ Awkward:
1. Which revision did you test?
2. For future: the good style is to send screenshots in English.
     Just in case - switching IDE language:Tools/Options/Environment/General/Language + restart IDE

Juha Manninen

2020-04-11 19:20

developer   ~0122084

Ok, it was "right upper corner". I confused left and right apparently.
I fixed bugs in Code Explorer recently. The filter worked for the "Code" tree but not for "Directives". Now it works for both.

Awkward, this bug report is not very well made. Wrong terms, no version info, no steps to reproduce...
Please pay attention and search existing bug reports first.

Juha Manninen

2020-04-12 15:01

developer   ~0122096

Last edited: 2020-04-12 15:05

View 2 revisions

Actually your summary line says "trunk".
Please explain steps to reproduce the problem. It should work after the recent changes.
I will link some other related reports here and fix the summary to say "Code Explorer".

Awkward

2020-04-12 17:18

reporter   ~0122097

1. Open project
2. Select "Category" in CodeExplorer.
3. Type something in filter edit field.
4. no effect

Juha Manninen

2020-04-13 09:52

developer   ~0122107

Do you mean the top level category names "Uses", Types", "Constants", "Variables" etc. are not filtered?
That is by design. Only the items parsed from source under those headers are filtered.

Awkward

2020-04-13 15:17

reporter   ~0122125

>Only the items parsed from source under those headers are filtered.

but they are NOT filtered :(
nvm, little more and i will close this ticket, coz tired

Juha Manninen

2020-04-13 17:32

developer   ~0122129

> but they are NOT filtered :(

It must be specific to Windows then. Strange, I though that part of CodeExplorer has worked on Windows.
I have tested on Linux with GTK2 and QT5 bindings. I must get Windows from somewhere to test with.
Can other Windows users reproduce?

FTurtle

2020-04-13 17:47

reporter   ~0122130

Under Windows XP it works properly (r62952).
I think we need know exact revision number.

Juha Manninen

2020-04-17 21:18

developer   ~0122214

Detaching myself. A Windows user can resolve this as "unable to reproduce" or fix it if there is something to fix.

jamie philbrook

2020-04-17 22:52

reporter   ~0122216

I don't really use that feature but I just checked it and it does seem to work for me.

There is some setup that needs to be done for it..

 I did this on an empty project loaded so that could be the difference...

Win10 here. 2.0.8 laz

Juha Manninen

2020-04-21 01:32

developer   ~0122310

> Win10 here. 2.0.8 laz

jamie philbrook, please test with Lazarus trunk.

Issue History

Date Modified Username Field Change
2020-04-10 08:33 Awkward New Issue
2020-04-10 15:24 Bart Broersma Summary Trunk IDE - Code browser fiter don't work => Trunk IDE - Code browser filter don't work
2020-04-10 15:24 Bart Broersma LazTarget => -
2020-04-10 15:24 Bart Broersma Note Added: 0122062
2020-04-11 12:14 Juha Manninen Note Added: 0122069
2020-04-11 12:15 Juha Manninen Note Edited: 0122069 View Revisions
2020-04-11 12:17 Juha Manninen Assigned To => Juha Manninen
2020-04-11 12:17 Juha Manninen Status new => feedback
2020-04-11 14:42 Awkward File Added: scr.png
2020-04-11 14:42 Awkward Note Added: 0122070
2020-04-11 14:42 Awkward Status feedback => assigned
2020-04-11 14:53 Juha Manninen Note Added: 0122071
2020-04-11 18:39 FTurtle Note Added: 0122081
2020-04-11 18:40 FTurtle Note Edited: 0122081 View Revisions
2020-04-11 18:49 FTurtle Note Edited: 0122081 View Revisions
2020-04-11 19:20 Juha Manninen Note Added: 0122084
2020-04-12 15:01 Juha Manninen Status assigned => feedback
2020-04-12 15:01 Juha Manninen Note Added: 0122096
2020-04-12 15:03 Juha Manninen Summary Trunk IDE - Code browser filter don't work => Trunk IDE - Code Explorer filter does not work
2020-04-12 15:05 Juha Manninen Note Edited: 0122096 View Revisions
2020-04-12 15:10 Juha Manninen Relationship added related to 0035767
2020-04-12 15:10 Juha Manninen Relationship added related to 0036787
2020-04-12 15:11 Juha Manninen Product Version => 2.1 (SVN)
2020-04-12 17:18 Awkward Note Added: 0122097
2020-04-12 17:18 Awkward Status feedback => assigned
2020-04-13 09:52 Juha Manninen Status assigned => feedback
2020-04-13 09:52 Juha Manninen Note Added: 0122107
2020-04-13 15:17 Awkward Note Added: 0122125
2020-04-13 15:17 Awkward Status feedback => assigned
2020-04-13 17:32 Juha Manninen Note Added: 0122129
2020-04-13 17:47 FTurtle Note Added: 0122130
2020-04-17 21:18 Juha Manninen Assigned To Juha Manninen =>
2020-04-17 21:18 Juha Manninen Status assigned => new
2020-04-17 21:18 Juha Manninen Note Added: 0122214
2020-04-17 22:52 jamie philbrook Note Added: 0122216
2020-04-21 01:32 Juha Manninen Note Added: 0122310